Get a payment link
curl --request GET \
--url https://api.staging.paywire.xyz/payments/links/{linkId}const options = {method: 'GET'};
fetch('https://api.staging.paywire.xyz/payments/links/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/payments/links/{linkId}"
response = requests.get(url)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/payments/links/{linkId}");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "0193a0c4-5f2e-7c1d-9b8a-3e4f5a6b7c8d",
"merchantId": "0193a0b1-2c3d-7e4f-8a9b-0c1d2e3f4a5b",
"amount": 49.9,
"currency": "USD",
"allowedAssets": [
{
"network": "ethereum_sepolia",
"token": "0x1c7d4b196cb0c7b01d743fbc6116a902379c7238",
"decimals": 6
},
{
"network": "solana_devnet",
"token": "native",
"decimals": 9
}
],
"callbackUrl": "https://shop.example.com/webhooks/paywire",
"orderTtlMinutes": 20,
"policyOverride": null,
"returnUrl": "https://shop.example.com/orders/1042",
"isActive": true,
"createdAt": "2026-10-24T09:12:31.204Z"
}{
"title": "PaymentLink.NotFound",
"status": 404,
"detail": "No payment link with this id."
}Payment links
Get a payment link
Public: no API key needed.
GET
/
payments
/
links
/
{linkId}
Get a payment link
curl --request GET \
--url https://api.staging.paywire.xyz/payments/links/{linkId}const options = {method: 'GET'};
fetch('https://api.staging.paywire.xyz/payments/links/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/payments/links/{linkId}"
response = requests.get(url)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/payments/links/{linkId}");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "0193a0c4-5f2e-7c1d-9b8a-3e4f5a6b7c8d",
"merchantId": "0193a0b1-2c3d-7e4f-8a9b-0c1d2e3f4a5b",
"amount": 49.9,
"currency": "USD",
"allowedAssets": [
{
"network": "ethereum_sepolia",
"token": "0x1c7d4b196cb0c7b01d743fbc6116a902379c7238",
"decimals": 6
},
{
"network": "solana_devnet",
"token": "native",
"decimals": 9
}
],
"callbackUrl": "https://shop.example.com/webhooks/paywire",
"orderTtlMinutes": 20,
"policyOverride": null,
"returnUrl": "https://shop.example.com/orders/1042",
"isActive": true,
"createdAt": "2026-10-24T09:12:31.204Z"
}{
"title": "PaymentLink.NotFound",
"status": 404,
"detail": "No payment link with this id."
}Public: no API key needed.
Path Parameters
The payment link's id.
Response
The payment link.
Show child attributes
Show child attributes
This link's own payment policy, replacing the company's.
Show child attributes
Show child attributes